Documentation Mercado Libre
Check out all the necessary information about APIs Mercado Libre.
Documentation
Last update 28/12/2022
User’s addresses
Get user's addresses
To make a call to this API, you will need an access token.
Call:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/users/$USER_ID/addresses
Example:
curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/users/145834937/addresses
Response:
{
"id": 145834937,
"user_id": "160252486",
"contact": null,
"phone": null,
"address_line": "Guatemala 5100",
"floor": null,
"apartment": null,
"street_number": "5100",
"street_name": "Guatemala",
"zip_code": "1000",
"city": -{
"id": "TUxBQlBBTDI1MTVa",
"name": "Palermo",
},
"state": -{
"id": "AR-C",
"name": "Capital Federal",
},
"country": -{
"id": "AR",
"name": "Argentina",
},
"neighborhood": -{
"id": null,
"name": null,
},
"municipality": -{
"id": null,
"name": null,
},
"search_location": -{
"state": -{
"id": "TUxBUENBUGw3M2E1",
"name": "Capital Federal",
},
"city": -{
"id": "TUxBQ0NBUGZlZG1sYQ",
"name": "Capital Federal",
},
"neighborhood": -{
"id": "TUxBQlBBTDI1MTVa",
"name": "Palermo",
},
},
"types": -[
"default_selling_address",
"shipping",
],
"comment": "",
"geolocation_type": "RANGE_INTERPOLATED",
"latitude": -34.5834729,
"longitude": -58.4281022,
"status": "active",
"date_created": "2014-06-05T12:26:54.000-04:00",
"normalized": true,
"open_hours": -{
"on_holidays": -{
"hours": [
],
"status": "closed",
},
},
}
Response fields description
| Field | Sub-field | Description |
|---|---|---|
| id | Requested address ID. | |
| user_id | User ID | |
| contact | Name of the information owner (user). | |
| phone | User’s telephone number. | |
| adress_line | User's full address (street and number). | |
| floor | Building floor, if the address belongs to an apartment. | |
| apartment | Apartment identification (number or letter). | |
| street_number | Street number of the address mentioned in “address_line”. | |
| street_name | Street name of the address mentioned in “address_line”. | |
| zip_code | Zip code. | |
| city | City where the address is located. | |
| id | Unique city identifier (locations API core). | |
| name | Name of the city. | |
| state | State/province where the city is located. | |
| id | Unique city state/province identifier (locations API core). | |
| name | Name of the state/province. | |
| copuntry | Country where the address is located. | |
| id | Unique city country identifier (locations API core). | |
| name | Name of the country, | |
| neighborhood | Neighborhood associated to the address. | |
| id | Unique neighborhood identifier. | |
| name | Name of the neighborhood. | |
| municipality | Municipality associated to the address. | |
| id | Unique municipality identifier, | |
| name | Name of the municipality. | |
| search_location | Information about the address to be used in search lists. | |
| state | State/province where the city is located as per Classified. The ID is associated to the classified locations API. | |
| city | City where the address is located, as per Classified. The ID is associated to the classified locations API. | |
| neighbourhood | Neighborhood where the address is located as per Classified. The ID is associated to the classified locations API. | |
| types | It specifies the address type: Possible values: ● default_selling_address: selling address ● default_buying_address: buying address ● shipping: address from which shipments will be made ● billing: MercadoLibre billing address. Types may include none, one, or several of the above attributes. | |
| latitude | Google Maps latitude. | |
| longitude | Google Maps longitude. | |
| status | Address status. Possible values: active or inactive. | |
| date_created | Date and time when it was created. | |
| normalized | It indicates if the stored data is correct. If not, it will be false. Possible values: true, false. | |
| open_hours | Business hours, if the address belongs to a store. | |
| on_holidays | Special business hours on holidays. Sub-attribute hours included. |
Next topic: Add and manage user’s bookmarks.